import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ControlBase } from '../../model/base';
import * as i0 from "@angular/core";
export declare class DecimalControlComponent {
    field: ControlBase<string | string[] | number | Date | boolean>;
    form: FormGroup;
    valueChange: EventEmitter<any>;
    get isValid(): boolean;
    get isRequired(): boolean;
    getMinValue(): number;
    getMaxValue(): number;
    getPrecision(): number;
    getTitleSpan(): number;
    getFieldSpan(): number;
    getValue(): string;
    modelChange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DecimalControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DecimalControlComponent, "wi-decimal-control", never, { "field": "field"; "form": "form"; }, { "valueChange": "valueChange"; }, never, never>;
}
