import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ControlBase, DropDownItem } from '../../model/base';
import { GenericUtilityService } from '../../service/generic-utility.service';
import * as i0 from "@angular/core";
export declare class DropdownMultipleControlComponent {
    protected utilityService: GenericUtilityService;
    constructor(utilityService: GenericUtilityService);
    field: ControlBase<string | string[] | number | Date | boolean>;
    form: FormGroup;
    valueChange: EventEmitter<any>;
    get isValid(): boolean;
    get isRequired(): boolean;
    get isMaxCount(): boolean;
    getOptionList(): DropDownItem[];
    getMaxCount(): number;
    getMaxTagCount(): number;
    getShowSearch(): boolean;
    getTitleSpan(): number;
    getFieldSpan(): number;
    getValue(): string;
    getAllowClear(): boolean;
    modelChange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownMultipleControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownMultipleControlComponent, "wi-dropdown-multiple-control", never, { "field": "field"; "form": "form"; }, { "valueChange": "valueChange"; }, never, never>;
}
