import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ControlBase } from '../../model/base';
import * as i0 from "@angular/core";
export declare class TextareaControlComponent {
    field: ControlBase<string | string[] | number | Date | boolean>;
    form: FormGroup;
    valueChange: EventEmitter<any>;
    get isValid(): boolean;
    get isRequired(): boolean;
    get isMaxLength(): boolean;
    getMaxLength(): number;
    getRowCount(): number;
    getTitleSpan(): number;
    getFieldSpan(): number;
    getValue(): string;
    modelChange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextareaControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextareaControlComponent, "wi-textarea-control", never, { "field": "field"; "form": "form"; }, { "valueChange": "valueChange"; }, never, never>;
}
