import { EventEmitter } from '@angular/core';
import { NgStyleInterface } from 'ng-zorro-antd/core/types';
import { DropDownItem } from '../../model/base';
import * as i0 from "@angular/core";
export declare class FilterDropdownSingleComponent {
    value: string;
    filterOptionList: DropDownItem[];
    title: string;
    width: number;
    labelWidth: number;
    disabled: boolean;
    placeHolder: string;
    allowClear: boolean;
    enabledSearch: boolean;
    optionSize: number;
    optionWidth: number;
    filterValueChange: EventEmitter<string>;
    valueChange: EventEmitter<string>;
    get filterValue(): string;
    set filterValue(value: string);
    getFieldWidth(): number;
    getStyle(): NgStyleInterface;
    modelChange(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterDropdownSingleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterDropdownSingleComponent, "wi-filter-dropdown-single", never, { "filterOptionList": "filterOptionList"; "title": "title"; "width": "width"; "labelWidth": "labelWidth"; "disabled": "disabled"; "placeHolder": "placeHolder"; "allowClear": "allowClear"; "enabledSearch": "enabledSearch"; "optionSize": "optionSize"; "optionWidth": "optionWidth"; "filterValue": "filterValue"; }, { "filterValueChange": "filterValueChange"; "valueChange": "valueChange"; }, never, never>;
}
