import { EventEmitter } from '@angular/core';
import { NgStyleInterface } from 'ng-zorro-antd/core/types';
import { TreeNode } from '../../model/base';
import * as i0 from "@angular/core";
export declare class FilterTreeSingleComponent {
    value: string;
    filterOptionTree: TreeNode[];
    title: string;
    width: number;
    labelWidth: number;
    disabled: boolean;
    placeHolder: string;
    allowClear: boolean;
    enabledSearch: boolean;
    optionHeight: number;
    optionWidth: number;
    filterValueChange: EventEmitter<string>;
    valueChange: EventEmitter<string>;
    get filterValue(): string;
    set filterValue(value: string);
    getStyle(): NgStyleInterface;
    getOptionHeight(): string;
    getFieldWidth(): number;
    modelChange(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterTreeSingleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterTreeSingleComponent, "wi-filter-tree-single", never, { "filterOptionTree": "filterOptionTree"; "title": "title"; "width": "width"; "labelWidth": "labelWidth"; "disabled": "disabled"; "placeHolder": "placeHolder"; "allowClear": "allowClear"; "enabledSearch": "enabledSearch"; "optionHeight": "optionHeight"; "optionWidth": "optionWidth"; "filterValue": "filterValue"; }, { "filterValueChange": "filterValueChange"; "valueChange": "valueChange"; }, never, never>;
}
