import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ControlBase } from '../../model/base';
import * as i0 from "@angular/core";
export declare class SwitchControlComponent {
    field: ControlBase<string | string[] | number | Date | boolean>;
    form: FormGroup;
    valueChange: EventEmitter<any>;
    get isValid(): boolean;
    get isRequired(): boolean;
    getCheckedTitle(): string;
    getUncheckedTitle(): string;
    getTitleSpan(): number;
    getFieldSpan(): number;
    getValue(): string;
    modelChange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwitchControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwitchControlComponent, "wi-switch-control", never, { "field": "field"; "form": "form"; }, { "valueChange": "valueChange"; }, never, never>;
}
