import { FormGroup } from '@angular/forms';
import { ControlBase, UploadFile } from '../../model/base';
import * as i0 from "@angular/core";
export declare class UploadImageControlComponent {
    field: ControlBase<string | string[] | number | Date | boolean>;
    form: FormGroup;
    get isValid(): boolean;
    get isRequired(): boolean;
    get isMaxCount(): boolean;
    uploadModalVisible: boolean;
    uploadModalTitle: string;
    fileType: string;
    getTitleSpan(): number;
    getFieldSpan(): number;
    getFileList(): UploadFile[];
    getMaxCount(): number;
    getMultiple(): boolean;
    deleteFile(index: number): void;
    beforeUpload: (file: any) => boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadImageControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadImageControlComponent, "wi-upload-image-control", never, { "field": "field"; "form": "form"; }, {}, never, never>;
}
