import { EventEmitter } from '@angular/core';
import { NgStyleInterface } from 'ng-zorro-antd/core/types';
import { TreeNode } from '../../model/base';
import * as i0 from "@angular/core";
export declare class FilterTreeMultipleComponent {
    value: string[];
    filterOptionTree: TreeNode[];
    title: string;
    width: number;
    labelWidth: number;
    disabled: boolean;
    enabledSearch: boolean;
    allowClear: boolean;
    optionHeight: number;
    optionWidth: number;
    maxTagCount: number;
    placeHolder: string;
    filterValueChange: EventEmitter<string[]>;
    valueChange: EventEmitter<string[]>;
    get filterValue(): string[];
    set filterValue(value: string[]);
    getStyle(): NgStyleInterface;
    getOptionHeight(): string;
    getFieldWidth(): number;
    modelChange(value: string[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterTreeMultipleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterTreeMultipleComponent, "wi-filter-tree-multiple", never, { "filterOptionTree": "filterOptionTree"; "title": "title"; "width": "width"; "labelWidth": "labelWidth"; "disabled": "disabled"; "enabledSearch": "enabledSearch"; "allowClear": "allowClear"; "optionHeight": "optionHeight"; "optionWidth": "optionWidth"; "maxTagCount": "maxTagCount"; "placeHolder": "placeHolder"; "filterValue": "filterValue"; }, { "filterValueChange": "filterValueChange"; "valueChange": "valueChange"; }, never, never>;
}
