import { OnInit, SimpleChanges } from '@angular/core';
import { NgStyleInterface } from 'ng-zorro-antd/core/types';
import { ColumnDefinition, RowValue } from '../../model/base';
import { GenericConfigService } from '../../service/generic-config.service';
import * as i0 from "@angular/core";
export declare class InnerTableComponent implements OnInit {
    protected configService: GenericConfigService;
    tableHeight: number;
    tableWidth: number;
    columnDefinitionList: ColumnDefinition[];
    rowValueList: RowValue[];
    noRecordPrompt: string;
    currentColumnDefinitionList: ColumnDefinition[];
    paginationHeight: number;
    tableHeaderHeight: number;
    scroll: {
        y: string;
    };
    item: any;
    constructor(configService: GenericConfigService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    adjustColumn(): void;
    getValue(row: RowValue, key: string, type: number): string;
    getImage(row: RowValue, key: string, type: number): string;
    getColor(row: RowValue, key: string): string;
    getWidth(width: number): string;
    getCellStyle(item: RowValue, columnName: string): NgStyleInterface;
    static ɵfac: i0.ɵɵFactoryDeclaration<InnerTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InnerTableComponent, "wi-inner-table", never, { "tableHeight": "tableHeight"; "tableWidth": "tableWidth"; "columnDefinitionList": "columnDefinitionList"; "rowValueList": "rowValueList"; "noRecordPrompt": "noRecordPrompt"; }, {}, never, never>;
}
